Kerbal Space Program - Bug #4916

Stages with multiple 3.75 m stack decouplers do not fire correctly
05/03/2015 08:12 PM - JVS
Description

Whenever | build a very large rocket with multiple 3.75 m decouplers firing on one stage in-flight, a few strange behaviors manifest:
1. Only one engine/decoupler pair will actually activate upon pressing space bar.

2. The detached parts are still apparently recognized by the game as part of my craft, and as they drift away the camera stays fixed
at the system's center of mass

3. Pressing space bar additional times will activate additional engine/decoupler pairs within that stage. Eventually the entire staging
group can be activated, and the ship is correctly recognized as detached and will proceed normally.

| have attached two craft which manifest this behavior, upon the first large-scale staging event in-flight. The "Tylo Miner" also
manifests the phantom launch lamps similarly to bug 4874 early in flight, though they are not attached to the craft, they just float in
the atmosphere harmlessly.

| labeled this as 1.0.1, but | am playing 1.0.2, there's just no option for that.

History

#1 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 11/19/2015 03:08 PM - sal_vager

- Status changed from New to Resolved

- Severity changed from High to Very Low
- % Done changed from 0 to 100

Okay, 1 is how they are supposed to work now, and 2 is not happening in the latest build (1028)

Marking as resolved.

#3 - 07/17/2016 09:19 AM - TriggerAu

- Status changed from Resolved to Closed

Files
Tylo Miner.craft 683 KB 05/03/2015 JVS
Bop-Pol Explorer.craft 858 KB 05/03/2015 JVSs

05/17/2024 1/1



http://www.tcpdf.org

